Skip to content

JD.com Product Comments API (V1)

GET
/api/jd/get-item-comments/v1
API health status
Healthy Available Limited Mostly unavailable No data
Loading health status...

Get JD.com product Comments data, including ratings, timestamps, and reviewer signals, for customer feedback analysis and product research.

Parameters

NameInTypeRequiredDefaultDescription
tokenquerystringYes-Access token for this API service.
itemIdquerystringYes-A unique product identifier on JD.com (item ID).
pagequerystringNo-Page number for paginated comments.

Code Samples

bash
curl -X GET "https://api.justoneapi.com/api/jd/get-item-comments/v1?token=YOUR_API_KEY&itemId=VALUE"
text
I want to use the "Product Comments (V1)" API from Just One API.
API Endpoint: https://api.justoneapi.com/api/jd/get-item-comments/v1
HTTP Method: GET
Authentication: Append "?token=YOUR_API_KEY" to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/jdcom/product-comments-v1-en.json

Parameters:
- token (query): Access token for this API service. (Required)
- itemId (query): A unique product identifier on JD.com (item ID). (Required)
- page (query): Page number for paginated comments.

Return format: JSON

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set request timeout to at least 60 seconds.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance

Please help me write a script in my preferred programming language to call this API and handle the response.
python
import requests

url = "https://api.justoneapi.com/api/jd/get-item-comments/v1?token=YOUR_API_KEY&itemId=VALUE"
response = requests.get(url)
print(response.json())
js
const response = await fetch("https://api.justoneapi.com/api/jd/get-item-comments/v1?token=YOUR_API_KEY&itemId=VALUE", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/jd/get-item-comments/v1?token=YOUR_API_KEY&itemId=VALUE"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/jd/get-item-comments/v1?token=YOUR_API_KEY&itemId=VALUE"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/jd/get-item-comments/v1?token=YOUR_API_KEY&itemId=VALUE");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

json
{
  "code": 0,
  "data": {
    "data": [
      {
        "userNickName": "-Yove",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836323031373632333134353936313533_sma.jpg",
        "commentId": "103822500168259942",
        "productId": "100033031708",
        "buyCount": 2,
        "commentDate": "2026-03-09 15:21:20",
        "commentData": "真的很喜欢,完全超出期望值,发货速度非常快,包装非常仔细、严实,物流公司服务态度很好,运送速度很快,很满意的一次购物商品质量不错,细节、品质、做工都非常好,发货贼快,快递也给力,棒棒哒~",
        "pictureInfoList": [
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/401491/10/9482/209846/69ae74ecF47ea04e0/00a95283b451e608.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/401491/10/9482/209846/69ae74ecF47ea04e0/00a95283b451e608.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "29550242"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/397411/21/17228/106137/69ae74efFcb547b41/00a95285b1c94655.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/397411/21/17228/106137/69ae74efFcb547b41/00a95285b1c94655.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "228401335"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/397812/5/21246/69172/69ae74eeF1b8c43af/00a952760da31879.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/397812/5/21246/69172/69ae74eeF1b8c43af/00a952760da31879.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "1371309559"
          }
        ],
        "commentScore": "5",
        "guid": "T6NdMcV1jZwtdRyOWaORyXuD"
      },
      {
        "userNickName": "85q0otpg5fl2cf",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836313931373632333134353936383338_sma.jpg",
        "commentId": "104300550177236064",
        "productId": "100033031708",
        "buyCount": 8,
        "commentDate": "2026-03-09 13:40:00",
        "commentData": "己经多次回购了。基本上基础护肤都是他家的产品,比较适合我这种大龄妇女用,不油腻,很清爽,好吸收。就是价格比较贵,希望活动能多一点,这样用着不心疼",
        "pictureInfoList": [
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/397448/18/18148/3917861/69ae5d2eF61131e3e/00a9c000004a7668.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/397448/18/18148/3917861/69ae5d2eF61131e3e/00a9c000004a7668.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/398760/17/19005/2275804/69ae5d30Fae211df0/00a9c000001ed644.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/398760/17/19005/2275804/69ae5d30Fae211df0/00a9c000001ed644.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "223903315"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/397691/35/20538/156731/69ae5d2fFa096a3f5/00a94f0698f8fddc.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/397691/35/20538/156731/69ae5d2fFa096a3f5/00a94f0698f8fddc.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "2102040904"
          }
        ],
        "commentScore": "5",
        "guid": "T6NaOsd3jZktdR2BWaWewHmF"
      },
      {
        "userNickName": "鱼人巫妖王",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836313831373632333134353936363836_sma.jpg",
        "commentId": "104312940168154308",
        "productId": "100033031708",
        "buyCount": 1,
        "commentDate": "2026-03-08 19:45:14",
        "commentData": "老婆很喜欢,快递当天就收到!",
        "pictureInfoList": [],
        "commentScore": "5",
        "guid": "T6NaOsZ1gZgtdRyOWqOcw3-J"
      },
      {
        "userNickName": "4***f",
        "userImgURL": "https://storage.360buyimg.com/i.imageUpload/6c756c75303531393131353539363337363332373936_sma.jpg",
        "commentId": "104291470175372733",
        "productId": "100033031708",
        "buyCount": 3,
        "commentDate": "2026-03-08 14:33:48",
        "commentData": "活动购买,价格比平时便宜多了",
        "pictureInfoList": [
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/401216/38/8573/15451/69ad184bF6945510c/00a92d050099984f.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/401216/38/8573/15451/69ad184bF6945510c/00a92d050099984f.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "1"
          }
        ],
        "commentScore": "5",
        "guid": "T6NaO852jJstdR2DWKGax3yC"
      },
      {
        "userNickName": "发***桑",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836323231373632333134353936353430_sma.jpg",
        "commentId": "104242330175834704",
        "productId": "100033031708",
        "buyCount": 2,
        "commentDate": "2026-03-08 12:27:32",
        "commentData": "多年了,非常喜欢质量好非常好用,兰蔻质地形状效果都老好了,特别棒,这次活动力度也挺好的,还有组合礼盒包装很喜欢,没有人知道这个品牌棒棒的",
        "pictureInfoList": [
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/397383/31/16651/92677/69acfab2F7056924f/00a939e673f53a4b.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/397383/31/16651/92677/69acfab2F7056924f/00a939e673f53a4b.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/402303/16/1801/147250/69acfab4F5c90dc0c/00a94883237e746f.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/402303/16/1801/147250/69acfab4F5c90dc0c/00a94883237e746f.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "559906241"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/397816/24/18722/130930/69acfab3F942e6372/00a949b660682bd9.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/397816/24/18722/130930/69acfab3F942e6372/00a949b660682bd9.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0"
          }
        ],
        "commentScore": "5",
        "guid": "T6NaO8N1i58tdR2DU6Wcx3-F"
      },
      {
        "userNickName": "柚子皮橘子味",
        "userImgURL": "https://storage.360buyimg.com/i.imageUpload/31353732373337383038365f7031353634343534343033383636_sma.jpg",
        "commentId": "104231040174873082",
        "productId": "100033031708",
        "buyCount": 30,
        "commentDate": "2026-03-07 00:30:41",
        "commentData": "趁着活动买的,一套不到三千二,很多赠品,包装也很好,比专柜便宜,之前一直用别的,这次朋友送这个系列,送人自用都很不错,永生花也很好看,整体都很不错",
        "pictureInfoList": [
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/396428/15/17563/161235/69ab012fF9aaef6f2/00a959442f1eedec.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/396428/15/17563/161235/69ab012fF9aaef6f2/00a959442f1eedec.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "685368607"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/400209/27/12644/253030/69ab0131F48e4bbd9/00a942f5940278d6.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/400209/27/12644/253030/69ab0131F48e4bbd9/00a942f5940278d6.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/396839/28/20397/229574/69ab0130Fdf576897/00a959442fab8e19.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/396839/28/20397/229574/69ab0130Fdf576897/00a959442fab8e19.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "494893893"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/402052/17/1478/179103/69ab0130F759cba85/00a959442fb44109.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/402052/17/1478/179103/69ab0130F759cba85/00a959442fb44109.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "1111860323"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/398490/5/14348/196687/69ab0130Fbfcd7e30/00a959442f8ecda5.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/398490/5/14348/196687/69ab0130Fbfcd7e30/00a959442f8ecda5.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0"
          }
        ],
        "commentScore": "5",
        "guid": "T6NaO8R2iJgtdR2CU6GbwHeD"
      },
      {
        "userNickName": "jd_j9y0qks138lred",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836323131373632333134353935323236_sma.jpg",
        "commentId": "104270820175876699",
        "productId": "100033031708",
        "buyCount": 1,
        "commentDate": "2026-03-06 15:00:46",
        "commentData": "还没收到。为什么不送上门。",
        "pictureInfoList": [],
        "commentScore": "5",
        "guid": "T6NaO8B3gJ4tdR2DU6GexnaI"
      },
      {
        "userNickName": "玉***a",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836323331373632333134353936333334_sma.jpg",
        "commentId": "104241350176052230",
        "productId": "100033031708",
        "buyCount": 1,
        "commentDate": "2026-03-06 12:03:25",
        "commentData": "好",
        "pictureInfoList": [],
        "commentScore": "5",
        "guid": "T6NaO8N2i5ktdR2AW6OawnyB"
      },
      {
        "userNickName": "jd_oDANNrhCjwaR",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836323031373632333134353936313533_sma.jpg",
        "commentId": "103982290170557437",
        "productId": "100033031708",
        "buyCount": 6,
        "commentDate": "2026-03-06 11:27:21",
        "commentData": "好用",
        "pictureInfoList": [],
        "commentScore": "5",
        "guid": "T6NdMM91ipUtdR2GXqOfxHyG"
      },
      {
        "userNickName": "jd_155922wfi",
        "userImgURL": "https://storage.360buyimg.com/default.image/6a645f6465665f696d675f393836323131373632333134353935323236_sma.jpg",
        "commentId": "104251200175371125",
        "productId": "100033031708",
        "buyCount": 3,
        "commentDate": "2026-03-06 10:31:36",
        "commentData": "三八妇女节直播间买的,超级划算,在专柜5000多一套,直播间3000+\n吸收效果:很容易吸收,不黏腻,不卡粉,有提拉紧致的作用\n适合肤质:我是干油皮,用着没毛病,另外送了等量的小样,方便出差携带,关键小瓶使用也不担心氧化产品功效降低",
        "pictureInfoList": [
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/401294/14/5202/2734818/69aa3c87F91365878/00a98dcfc02f34cc.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/401294/14/5202/2734818/69aa3c87F91365878/00a98dcfc02f34cc.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "1833730140"
          },
          {
            "picURL": "https://img30.360buyimg.com/shaidan/s300x300_jfs/t1/398824/32/13966/2115479/69aa3c87Fc584681f/00a900079eb93ed5.jpg.dpg",
            "largePicURL": "https://img30.360buyimg.com/shaidan/s1080x1080_jfs/t1/398824/32/13966/2115479/69aa3c87Fc584681f/00a900079eb93ed5.jpg.dpg",
            "mediaType": "1",
            "liveShooting": "0",
            "showOrderMediaId": "1201055768"
          }
        ],
        "commentScore": "5",
        "guid": "T6NaO8J2ipwtdR2DWKGZwX2E"
      }
    ],
    "pageInfo": {
      "maxPage": "100",
      "nowPage": "1"
    }
  }
}

💡 Note: For list data, the example shows only 1-2 items for simplicity. The actual count depends on the API response.